Actualizar Rubygems a 1.3.7 en Ubuntu Lucid Lynx 10.04

28 Jul 2010 En: Ubuntu

Si hay algo frustrante es descubrir que no el software que uno necesita no está disponible en los repositorios en la versión que uno requiere. Así me pasó con una gema, que al tratar de instalar, se quejaba de mi versión de rubygems.

La mayoría(por no decir todas) de personas que conozco que usan Ruby y Ubuntu usan y aconsejan usar el rubygems descargado desde el sitio oficial de rubygems y desaconsejan el uso de la versión que viene en los repositorios de Ubuntu.

Sin embargo yo prefiero la opción de los repositorios, prefiero saberme con software instalado en las rutas correctas (o al menos predecibles) y que vayan bien con todo el entorno. (y sin esfuerzo :P )así que decidí actualizar el paquete de rubygems que hay en los repositorios de Ubuntu 10.04, el resultado está alojado en mi ppa.

Instalarlo es simple, solo hay que añadir el repositorio en el cuál se encuentran los paquetes, en este caso mi ppa, para hacerlo escriba en la línea de comandos:

$ sudo apt-add-repository ppa:andphe/ruby
... 
$ sudo update

En estos momentos ya solo debe actualizar su sistema de manera regular y obtendrá rubygems 1.3.7

1 respuestas a "Actualizar Rubygems a 1.3.7 en Ubuntu Lucid Lynx 10.04"

  1. Commentario de Dwayne Macgowan
    en 2010-09-28 14:36:22

    muchas gracias por este ppa!!!!

Deje una respuesta

Su nombre o apodo

Prueba de seguridad. Por favor digite este código Listen the code



<Anterior   Siguiente>

Quién es?

View Andrés F Vargas's LinkedIn profile Andrés F Vargas es un programador Colombiano, que le gusta el open source, en los últimos años se ha enfocado en el desarrollo y operación de aplicaciones web.


Servidores Virtuales Linux

Linode Provee las mejores herramientas y servicios posibles a los que saben lo que que necesitan - un mejor alojamiento Ver mas.